# h235auth.h File Reference

`#include <opal/buildopts.h>`

Go to the source code of this file.

## Namespaces

namespace | PWLibStupidLinkerHacks

## Classes

class | H235Authenticator
class | H235AuthSimpleMD5
class | H235AuthCAT

## Functions

void | PreparePDU (H323TransactionPDU &pdu, PASN_Array &clearTokens, unsigned clearOptionalField, PASN_Array &cryptoTokens, unsigned cryptoOptionalField)
H235Authenticator::ValidationResult | ValidatePDU (const H323TransactionPDU &pdu, const PASN_Array &clearTokens, unsigned clearOptionalField, const PASN_Array &cryptoTokens, unsigned cryptoOptionalField, const PBYTEArray &rawPDU)

## Variables

int | PWLibStupidLinkerHacks::h235AuthLoader

## Function Documentation

void PreparePDU | ( | H323TransactionPDU & | pdu,
|  | PASN_Array & | clearTokens,
|  | unsigned | clearOptionalField,
|  | PASN_Array & | cryptoTokens,
|  | unsigned | cryptoOptionalField |
| ) |  |  |

H235Authenticator::ValidationResult ValidatePDU | ( | const H323TransactionPDU & | pdu,
|  | const PASN_Array & | clearTokens,
|  | unsigned | clearOptionalField,
|  | const PASN_Array & | cryptoTokens,
|  | unsigned | cryptoOptionalField,
|  | const PBYTEArray & | rawPDU |
| ) |  |  |